%define major 1

Summary: A jabber's libraries
Name: libjabber
Version: 1.2
Release: 2mdk
Source0: %{name}-%{version}.tar.bz2
Patch0: libjabber-1.2-fix-includes.patch.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libxode1-devel

%description
  Currently, libjabber provides Jabber transports with various
  library functions.
    
%package -n %{name}%{major}
Summary: A jabber's librairies.
Group: System/Libraries

%description -n %{name}%{major}
  Currently, libjabber provides Jabber transports with various
  library functions.


%package -n %{name}%{major}-devel 
Summary: Package to make developpement with libjabber.
Copyright: GPL
Group: Development/C
Provides: %{name}-devel
Requires: %{name}%{major} = %version

%description -n %{name}%{major}-devel
 Package to make developpement with libjabber.
  Currently, libjabber provides Jabber transports with various
  library functions.

%prep
%setup -q
%patch0 -p0

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}
mkdir -p $RPM_BUILD_ROOT/usr/include/jabber
mv $RPM_BUILD_ROOT/usr/include/jabber.h $RPM_BUILD_ROOT/usr/include/jabber

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig
%postun -n %{name}%{major} -p /sbin/ldconfig

%files -n %{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_bindir}/*
%{_mandir}/*/*
%{_includedir}/*



%changelog
* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- fix compile (includes)

* Wed Nov  8 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2-1mdk
- Up to 1.2
- new mandrake policy for librairie
- move doc in devel package
- add provide in dev package

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- Up to 1.0.1

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-3mdk
- Rebuild for next release

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Move includes files in jabber subdir for correct build of jabber.

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release
